## andromeda-0.3.tar.xz

=== CMakeLists.txt ===
project( andromeda )

cmake_minimum_required( VERSION 2.6 )

# common Qt directives
set(QT_MIN_VERSION "4.8.0")
find_package( Qt4 REQUIRED )
include( ${QT_USE_FILE} )
add_definitions( ${QT_DEFINITIONS} )
add_definitions( -DUNICODE )

include( "cmake/Andromeda.cmake" )
include( "cmake/Install.cmake" )
include( "cmake/ProjectInfo.cmake" )

include_directories( ${QT_INCLUDES} )

add_subdirectory( src )
add_subdirectory( tests )

# make uninstall
configure_file(
    "${CMAKE_SOURCE_DIR}/cmake/Uninstall.cmake.in"
    "${CMAKE_BINARY_DIR}/Uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/Uninstall.cmake)

=== src/CMakeLists.txt ===
add_subdirectory( shared )
add_subdirectory( libs )
add_subdirectory( plugins )
add_subdirectory( apps )

=== tests/CMakeLists.txt ===
if( NOT DISABLE_TESTS )
    enable_testing()

    set( CTEST_ARGUMENTS --output-on-failure )
    add_custom_target( test-verbose )
    add_custom_command( TARGET test-verbose POST_BUILD COMMAND ${CMAKE_CTEST_COMMAND} ${CTEST_ARGUMENTS} )

add_subdirectory( plugins )
add_subdirectory( manual )
add_subdirectory( auto )

endif()

=== src/apps/CMakeLists.txt ===
add_subdirectory( andromeda )
add_subdirectory( imageviewer )

=== src/libs/CMakeLists.txt ===
set( LIBRARY_OUTPUT_PATH ${APP_LIBRARY_PATH} )

include_directories( ${PROJECT_SOURCE_DIR}/include )
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/ )

#override prefix so we can name library targets as libName
set( CMAKE_SHARED_LIBRARY_PREFIX "" )

add_subdirectory( extensionsystem )
add_subdirectory( guisystem )
add_subdirectory( io )
add_subdirectory( widgets )
add_subdirectory( filemanager )
add_subdirectory( imageviewer )

=== src/plugins/CMakeLists.txt ===
set( LIBRARY_OUTPUT_PATH ${APP_PLUGIN_PATH} )

include_directories( ${PROJECT_SOURCE_DIR}/include )
include_directories( ${PROJECT_SOURCE_DIR}/src/plugins)

add_definitions( -DQT_PLUGIN )
add_definitions( -DQT_SHARED )
if( CMAKE_BUILD_TYPE STREQUAL "Release" )
    add_definitions( -DQT_NO_DEBUG )
endif()

add_subdirectory( bineditorplugin )
add_subdirectory( bookmarksplugin )
add_subdirectory( filemanagerplugin )
add_subdirectory( helloworldplugin )
add_subdirectory( imageviewerplugin )
add_subdirectory( texteditorplugin )
add_subdirectory( pdfviewplugin )
add_subdirectory( webviewplugin )

=== src/shared/CMakeLists.txt ===
add_subdirectory( qtlockedfile )
add_subdirectory( qtsingleapplication )

=== tests/auto/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${APP_APPLICATION_PATH} )

set (QT_USE_QTTEST TRUE)
include( ${QT_USE_FILE} )

set(CMAKE_INCLUDE_CURRENT_DIR TRUE)
#set( CTEST_OUTPUT_ON_FAILURE 1)

function( qt4_wrap_single_cpp SOURCE )
    get_filename_component( SOURCENAME ${SOURCE} NAME_WE )
    qt4_generate_moc( ${SOURCE} ${CMAKE_CURRENT_BINARY_DIR}/${SOURCENAME}.moc )
    set_source_files_properties( ${SOURCE}  OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${SOURCENAME}.moc )
endfunction( qt4_wrap_single_cpp )

add_subdirectory( kdesettings )
add_subdirectory( pluginspec )
add_subdirectory( sharedproperties )

=== tests/manual/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${APP_APPLICATION_PATH} )

add_subdirectory( extensionsystem_test )
add_subdirectory( filesystemmanager_test )
add_subdirectory( guisystem_test )
add_subdirectory( options_test )

=== tests/plugins/CMakeLists.txt ===
set( LIBRARY_OUTPUT_PATH ${APP_APPLICATION_PATH}/plugins )

function( install_spec SPECFILE )
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${SPECFILE}
  ${LIBRARY_OUTPUT_PATH}/${SPECFILE} COPYONLY)
endfunction( install_spec )

add_definitions( -DQT_PLUGIN )
add_definitions( -DQT_NO_DEBUG )
add_definitions( -DQT_SHARED )

add_subdirectory( testplugin )
add_subdirectory( testplugin2 )
add_subdirectory( testplugin3 )
add_subdirectory( webviewtest )

=== src/apps/andromeda/CMakeLists.txt ===
if( ${QT_QTWEBKIT_FOUND} )
    set( QT_USE_QTWEBKIT TRUE )
    include( ${QT_USE_FILE} )
else()
    add_definitions( -DQT_WEBKIT_NOT_FOUND )
endif()

set( HEADERS
    application.h
    browsertabwidget.h
    browserwindow.h
    browserwindow_p.h
    commandssettingspage.h
    generalsettingspage.h
    generalsettingswidget.h
    myaddressbar.h
    settingsmodel.h
    settingsmodel_p.h
    settingswidget.h
)

set( SOURCES
    application.cpp
    browsertabwidget.cpp
    browserwindow.cpp
    commandssettingspage.cpp
    generalsettingspage.cpp
    generalsettingswidget.cpp
    main.cpp
    myaddressbar.cpp
    settingsmodel.cpp
    settingswidget.cpp
)

set( FORMS
    settingswidget.ui
    generalsettingswidget.ui
   )

set( RESOURCES andromeda.qrc )

set( TS_FILES
    translations/andromeda_cs.ts
    translations/andromeda_pt.ts
    translations/andromeda_ru.ts
   )

qt4_wrap_cpp( MOC_SOURCES ${HEADERS} )
qt4_wrap_ui( UI_HEADERS ${FORMS} )
qt4_add_resources( QRC_SOURCES ${RESOURCES} )
qt4_wrap_ts( QM_FILES ${TS_FILES} )

include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

include_directories( ${PROJECT_SOURCE_DIR}/include )
include_directories( ${PROJECT_SOURCE_DIR}/src/shared/qtsingleapplication )

# on macosx the icons has to be part of sources. Bummer.
#if( APPLE )
#    set(GUI_RESOURCES andromeda.icns)
#endif()

if( WIN32 )
   if( ${CMAKE_SYSTEM_VERSION} LESS "6.0" )
        if( NOT MINGW )
            set( GUI_RESOURCES ${CMAKE_CURRENT_SOURCE_DIR}/andromeda.rc )
        endif()
    else()
        message("Resources are disabled for windows 7")
   endif()
endif()

if( APPLE )
    set( EXECUTABLE_OUTPUT_PATH ${APP_APPLICATION_PATH} )
else()
    set( EXECUTABLE_OUTPUT_PATH ${APP_BINARY_PATH} )
endif()


add_executable( andromeda MACOSX_BUNDLE WIN32 ${HEADERS} ${SOURCES} ${MOC_SOURCES} ${UI_HEADERS} ${QRC_SOURCES} ${QM_FILES} ${GUI_RESOURCES} )
target_link_libraries( andromeda ${QT_LIBRARIES} qtsingleapplication libextensionsystem libguisystem libwidgets )

if( APPLE )
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/andromeda.icns ${APP_DATA_PATH}/andromeda.icns COPYONLY)
    set_target_properties( andromeda PROPERTIES MACOSX_BUNDLE_ICON_FILE andromeda.icns
                                                MACOSX_BUNDLE_BUNDLE_NAME "Andromeda"
                                                MACOSX_BUNDLE_LONG_VERSION_STRING "0.3.0.0"
                                                MACOSX_BUNDLE_INFO_STRING "Andromeda 0.3.0"
                                                MACOSX_BUNDLE_INFO_STRING "Andromeda 0.3.0"
                                                MACOSX_BUNDLE_GUI_IDENTIFIER "org.andromeda"
                                                MACOSX_BUNDLE_COPYRIGHT "ABBAPOH"
                         )
elseif( MSVC )
    set_target_properties( andromeda PROPERTIES LINK_FLAGS /ENTRY:"mainCRTStartup" )
elseif( UNIX )
    add_definitions( -DLIB_SUFFIX=\"${LIB_SUFFIX}\" )

    set(ICON_LOCATION "${CMAKE_INSTALL_PREFIX}/share/pixmaps")
    add_definitions( -DICON_LOCATION=\"${ICON_LOCATION}\" )

    install( FILES andromeda.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications" )
    install( FILES andromeda.png DESTINATION "${ICON_LOCATION}" )
endif()

install_bin( andromeda )

=== src/apps/imageviewer/CMakeLists.txt ===
set( HEADERS
    application.h
    mainwindow.h
    preferenceswindow.h
)
set( SOURCES
    application.cpp
    main.cpp
    mainwindow.cpp
    preferenceswindow.cpp
)
set( RESOURCES resources.qrc )

#set( TS_FILES
#    translations/imageviewer_cs.ts
#    translations/imageviewer_pt.ts
#    translations/imageviewer_ru.ts
#   )

include_directories( ${PROJECT_SOURCE_DIR}/include )
include_directories( ${PROJECT_SOURCE_DIR}/src/shared/qtsingleapplication )

# on macosx the icons has to be part of sources. Bummer.
#if( APPLE )
#    set(GUI_RESOURCES imageviewer.icns)
#endif()

if( WIN32 )
   if( ${CMAKE_SYSTEM_VERSION} LESS "6.0" )
        if( NOT MINGW )
            set(GUI_RESOURCES ${CMAKE_CURRENT_SOURCE_DIR}/imageviewer.rc)
        endif()
    else()
        message("Resources are disabled for windows 7")
   endif()
endif()

if( APPLE )
    set( EXECUTABLE_OUTPUT_PATH ${APP_APPLICATION_PATH} )
else()
    set( EXECUTABLE_OUTPUT_PATH ${APP_BINARY_PATH} )
endif()

qt4_wrap_cpp( MOC_SOURCES ${HEADERS} )
qt4_add_resources( QRC_SOURCES ${RESOURCES} )
qt4_wrap_ts( QM_FILES ${TS_FILES} )

add_executable( imageviewer MACOSX_BUNDLE WIN32 ${HEADERS} ${SOURCES} ${MOC_SOURCES} ${QRC_SOURCES} ${QM_FILES} ${GUI_RESOURCES} )
target_link_libraries( imageviewer ${QT_LIBRARIES} qtsingleapplication libimageviewer libwidgets )

if( APPLE )
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Icons/imageviewer.icns ${APP_DATA_PATH}/imageviewer.icns COPYONLY)
    set_target_properties( imageviewer PROPERTIES MACOSX_BUNDLE_ICON_FILE imageviewer.icns
                                                MACOSX_BUNDLE_BUNDLE_NAME "imageviewerer"
                                                MACOSX_BUNDLE_LONG_VERSION_STRING "0.3.0.0"
                                                MACOSX_BUNDLE_INFO_STRING "imageviewerer 0.3.0"
                                                MACOSX_BUNDLE_INFO_STRING "imageviewerer 0.3.0"
                                                MACOSX_BUNDLE_GUI_IDENTIFIER "org.imageviewer"
                                                MACOSX_BUNDLE_COPYRIGHT "ABBAPOH"
                         )
elseif( MSVC )
    set_target_properties( imageviewer PROPERTIES LINK_FLAGS /ENTRY:"mainCRTStartup" )
elseif( UNIX )
    add_definitions( -DLIB_SUFFIX=\"${LIB_SUFFIX}\" )

    set(ICON_LOCATION "${CMAKE_INSTALL_PREFIX}/share/pixmaps")
    add_definitions( -DICON_LOCATION=\"${ICON_LOCATION}\" )

    install( FILES imageviewer.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications" )
    install( FILES icons/imageviewer.png DESTINATION "${ICON_LOCATION}" )
endif()

install_bin( imageviewer )

=== debian/changelog ===
andromeda (0.1) stable; urgency=low

  * Andromeda 0.1

 -- Denis Kovalskiy <denimnumber1@gmail.com>  Tue, 9 Feb 2012 14:50:38 +0100

=== debian/control ===
Source: andromeda
Section: utils
Version: 0.1
Priority: optional
Maintainer: Denis Kovalskiy <denimnumber1@gmail.com>
Build-Depends: debhelper (>= 4.1.16), cmake (>= 2.6), g++, libqt4-dev, libqtwebkit-dev, libqt4-opengl-dev, libpoppler-qt4-dev

Package: andromeda
Architecture: any
Depends: ${shlibs:Depends}
Description: Cross-platform file manager, written on Qt

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

CFLAGS = -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.

	( cmake ./ -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release; make )

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf build

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/gentoo.
	dh_auto_install

        

# Build architecture-independent files here.
binary-indep: build install
	# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
